%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:           diveintopython
Version:        5.4
Release:        34%{?dist}

Summary:        Dive into Python - a python book

Group:          Documentation
License:        GFDL
URL:            http://www.diveintopython.net
Source0:        http://www.diveintopython.net/download/%{name}-common-%{version}.zip
Source1:        http://www.diveintopython.net/download/%{name}-xml-%{version}.zip
Source2:        %{name}.desktop.in

BuildArch:      noarch
Requires:       diveintopython-pdf, xdg-utils
Patch0:         diveintopython-build.xml.patch
Patch1:         diveintopython-build_common.xml.patch
Patch2:         diveintopython-xalan.patch

BuildRequires:  desktop-file-utils, htmldoc, ant >= 1.8.2, xerces-j2, xml-commons-apis
BuildRequires:  python2, w3m, java, xalan-j2

%description
Dive Into Python is a Python book for experienced programmers.

%package         pdf
Summary:         Dive into Python - a python book
Group:           Documentation
%description     pdf
Dive Into Python is a Python book for experienced programmers.
The PDF version

%package         html
Summary:         Dive into Python - a python book
Group:           Documentation
%description     html
Dive Into Python is a Python book for experienced programmers.
The html version

%package         single-html
Summary:         Dive into Python - a python book
Group:           Documentation
%description     single-html
Dive Into Python is a Python book for experienced programmers.
The single html page version

%package         txt
Summary:         Dive into Python - a python book
Group:           Documentation
%description     txt
Dive Into Python is a Python book for experienced programmers.
The text version

%prep 
%setup -q -b 1
%patch0 -p1 -b .build-all
%patch1 -p1
%patch2 -p1 -b .xalan
mkdir build
mv xml make.sh build.xml build/

find \( -name '*.jar' -o -name '*.py[co]' \) -delete

%build
pushd build
#/bin/sh make.sh
ant -Dxalan=1
popd

%install
pushd build/dist
#cleanup unnecessary duplicates
rm -rf pdf/*.png pdf/*.html pdf/images/
rm -rf txt/*.html

#install the files
find . -type d -exec mkdir -p $RPM_BUILD_ROOT%{_pkgdocdir}/'{}'  \;
for DIR in * ; do
  find $DIR -type f -exec install -D -m 0644 '{}' $RPM_BUILD_ROOT%{_pkgdocdir}/'{}' \;
done
popd

#install desktop file
mkdir ${RPM_BUILD_ROOT}%{_datadir}/applications/
cat %{SOURCE2}|sed "s|@DOCDIR@|%{_pkgdocdir}/|g" > ${RPM_BUILD_ROOT}%{_datadir}/applications/diveintopython.desktop

desktop-file-install  \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
        --add-category="Documentation"                  \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/diveintopython.desktop

%files 

%files html
%dir %{_pkgdocdir}
%doc %{_pkgdocdir}/html

%files pdf
%dir %{_pkgdocdir}
%doc %{_pkgdocdir}/pdf
%{_datadir}/applications/diveintopython.desktop

%files single-html
%dir %{_pkgdocdir}
%doc %{_pkgdocdir}/htmlflat

%files txt
%dir %{_pkgdocdir}
%doc %{_pkgdocdir}/txt

%changelog
* Mon Mar 19 2018 Iryna Shcherbina <ishcherb@redhat.com> - 5.4-34
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Mar 16 2018 Devrim Gündüz <devrim@gunduz.org> - 5.4-33
- Update BR, per #1555699

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Dec 12 2013 Ville Skyttä <ville.skytta@iki.fi> - 5.4-26
- Install to %%{_pkgdocdir} where available (#993724).
- Fix ant(-nodeps) build dependency (#992130).

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 22 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 5.4-24
- remove vendor tag from desktop file. https://fedorahosted.org/fpc/ticket/247
- clean up spec to follow current guidelines
- fix desktop file to follow specification

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Apr 26 2012 Devrim Gunduz <devrim@gunduz.org> - 5.4-21
- Fix URL, per #816351.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 13 2010 Alexander Kurtakov <akurtako@redhat.com> 5.4-18
- Fix xalan patch.

* Wed Nov 25 2009 Lubomir Rintel <lkundrak@v3.sk> - 5.4-17
- Newer saxon no longer supports XSLT 1.0, use Xalan-J instead

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Nov  4 2008 Paul W. Frields <stickster@gmail.com> - 5.4-14
- Fix file location problem that breaks HTML version

* Tue Sep  2 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 5.4-13
- Include /usr/share/doc/diveintopython-5.4 directory (in all pkgs)

* Tue Feb 5 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 5.4-12
- Removed specific java package's and just use java in BR (overholt)
- Added build_patch to not use downloaded jars and....
- use Fedora packages listed in build requires see next changelog entry (bz#431364)
- Added build requires ant, jakarta-commons-net, ant-commons-net and... 
- xerces-j2, xml-commons-apis, java
- Removed upstream jars but maintained build-xml files just patched
- Fixed changelog

* Sat Feb 2 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 5.4-11
- Added xdg-utils Requires to open pdf and other files

* Wed Jan 23 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> - 5.4-10
- Major cleanup of spec to be less complex
- Made the packaging less diverted from the generated tree from upstream build script
- Changed desktop file to use pdf mimetype icon as diveintopython.png is corrupted
  even in upstream zip file
- Removed unnecessary patches
- Removed builreq ant as upstream make.sh uses upstream provided jars (we might want to
  use ant from fedora repo, todo: investigate possibility of patching make.sh and adding
  more java buildreqs for this)
- Switched diveintopython to be a metapackage which pulls diveintopython-pdf

* Sat Jan 19 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 5.4-8
- Removed multiple desktop-files
- Made the default version the pdf version
- Added build requires check so it can build on F7

* Sat Jan 19 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 5.4-7
- Fixed spec file to install the txt version in the txt folder (bug #429239)
- Added diveintopython.png to desktop file in txt version
- Fixed desktop files to relate to each individual package more. (bug #429239)

* Wed Jan 9 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 5.4-6
- Fix ownership of folders
- Fix spec file for spaces and tabs again :(

* Sun Jan 6 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 5.4-5
- Fixed build requires - added iced-tea, python, w3m and htmldoc

* Fri Jan 4 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 5.4-4
- Added patches for all builds
- Created additional packages for the users choice
- Added additional desktop files

* Wed Jan 2 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 5.4-3
- Using the docbook and creating the html using ant
- Patched neccessary build files and included additional source files

* Thu Nov 22 2007 Marc Wiriadisastra <marc@mwiriadi.id.au> - 5.4-2
- Fixed line encoding (Jerry James)
- Fixed owning of directories in spec file

* Fri Nov 16 2007 Marc Wiriadisastra <marc@mwiriadi.id.au> - 5.4-1
- new install
